summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/mesa/mesa-scm.ebuild79
-rw-r--r--media-sound/mpd/metadata.xml37
-rw-r--r--media-sound/mpd/mpd-scm.ebuild255
3 files changed, 330 insertions, 41 deletions
diff --git a/media-libs/mesa/mesa-scm.ebuild b/media-libs/mesa/mesa-scm.ebuild
index 5534df6..4cc5741 100644
--- a/media-libs/mesa/mesa-scm.ebuild
+++ b/media-libs/mesa/mesa-scm.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
EGIT_REPO_URI="git://anongit.freedesktop.org/git/mesa/mesa"
@@ -13,7 +13,7 @@ EXPERIMENTAL="true"
PYTHON_COMPAT=( python2_7 )
-inherit autotools multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
+inherit autotools llvm multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
OPENGL_DIR="xorg-x11"
@@ -30,20 +30,19 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS=""
-INTEL_CARDS="i915 i965 ilo intel"
+INTEL_CARDS="i915 i965 intel"
RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vc4 vmware"
+VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno imx nouveau vc4 vivante vmware"
for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
done
IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gcrypt gles1 gles2
- libressl +llvm nettle +nptl opencl osmesa pax_kernel openmax +openssl pic
- selinux vaapi valgrind vdpau +vulkan wayland xvmc xa kernel_FreeBSD"
+ bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gles1 gles2 unwind
+ +llvm +nptl opencl osmesa pax_kernel openmax pic selinux vaapi valgrind
+ vdpau vulkan wayland xvmc xa"
REQUIRED_USE="
- || ( gcrypt libressl nettle openssl )
d3d9? ( dri3 gallium )
llvm? ( gallium )
opencl? ( gallium llvm )
@@ -52,14 +51,15 @@ REQUIRED_USE="
gles2? ( egl )
vaapi? ( gallium )
vdpau? ( gallium )
- vulkan? ( || ( video_cards_i965 video_cards_radeonsi ) )
+ vulkan? ( || ( video_cards_i965 video_cards_radeonsi )
+ video_cards_radeonsi? ( llvm ) )
wayland? ( egl gbm )
xa? ( gallium )
video_cards_freedreno? ( gallium )
video_cards_intel? ( classic )
video_cards_i915? ( || ( classic gallium ) )
video_cards_i965? ( classic )
- video_cards_ilo? ( gallium )
+ video_cards_imx? ( gallium )
video_cards_nouveau? ( || ( classic gallium ) )
video_cards_radeon? ( || ( classic gallium )
gallium? ( x86? ( llvm ) amd64? ( llvm ) ) )
@@ -68,11 +68,12 @@ REQUIRED_USE="
video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) )
video_cards_r600? ( gallium )
video_cards_radeonsi? ( gallium llvm )
+ video_cards_vc4? ( gallium )
+ video_cards_vivante? ( gallium gbm )
video_cards_vmware? ( gallium )
- ${PYTHON_REQUIRED_USE}
"
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.72"
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.77"
# keep correct libdrm and dri2proto dep
# keep blocks in rdepend for binpkg
RDEPEND="
@@ -83,6 +84,7 @@ RDEPEND="
gallium? ( app-eselect/eselect-mesa )
>=app-eselect/eselect-opengl-1.3.0
>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
+ >=sys-libs/zlib-1.2.8[${MULTILIB_USEDEP}]
>=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
>=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
>=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
@@ -90,25 +92,24 @@ RDEPEND="
>=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
>=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
- llvm? ( !kernel_FreeBSD? (
- video_cards_radeonsi? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
- !video_cards_r600? (
- video_cards_radeon? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
- ) )
- >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
- )
- nettle? ( dev-libs/nettle:=[${MULTILIB_USEDEP}] )
- !nettle? (
- gcrypt? ( dev-libs/libgcrypt:=[${MULTILIB_USEDEP}] )
- !gcrypt? (
- libressl? ( dev-libs/libressl:=[${MULTILIB_USEDEP}] )
- !libressl? ( dev-libs/openssl:=[${MULTILIB_USEDEP}] )
+ unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
+ llvm? (
+ video_cards_radeonsi? (
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
+ vulkan? ( >=sys-devel/llvm-3.9.0:=[${MULTILIB_USEDEP}] )
)
+ video_cards_r600? (
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
+ )
+ video_cards_radeon? (
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
+ )
+ >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
)
opencl? (
app-eselect/eselect-opencl
dev-libs/libclc
- !kernel_FreeBSD? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
)
openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
vaapi? (
@@ -116,9 +117,9 @@ RDEPEND="
video_cards_nouveau? ( !<=x11-libs/libva-vdpau-driver-0.7.4-r3 )
)
vdpau? ( >=x11-libs/libvdpau-1.1:=[${MULTILIB_USEDEP}] )
- wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
+ wayland? ( >=dev-libs/wayland-1.11.0:=[${MULTILIB_USEDEP}] )
xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
- ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vc4?,video_cards_vmware?,${MULTILIB_USEDEP}]
+ ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vc4?,video_cards_vivante?,video_cards_vmware?,${MULTILIB_USEDEP}]
"
for card in ${INTEL_CARDS}; do
RDEPEND="${RDEPEND}
@@ -144,8 +145,8 @@ DEPEND="${RDEPEND}
) )
)
opencl? (
- >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
- >=sys-devel/clang-3.4.2:=[${MULTILIB_USEDEP}]
+ >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
+ >=sys-devel/clang-3.6.0:=[${MULTILIB_USEDEP}]
>=sys-devel/gcc-4.6
)
sys-devel/bison
@@ -227,13 +228,13 @@ multilib_src_configure() {
fi
if use egl; then
- myconf+=" --with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")"
+ myconf+=" --with-egl-platforms=x11,surfaceless$(use wayland && echo ",wayland")$(use gbm && echo ",drm")"
fi
if use gallium; then
myconf+="
$(use_enable d3d9 nine)
- $(use_enable llvm gallium-llvm)
+ $(use_enable llvm)
$(use_enable openmax omx)
$(use_enable vaapi va)
$(use_enable vdpau)
@@ -244,9 +245,11 @@ multilib_src_configure() {
gallium_enable swrast
gallium_enable video_cards_vc4 vc4
+ gallium_enable video_cards_vivante etnaviv
gallium_enable video_cards_vmware svga
gallium_enable video_cards_nouveau nouveau
gallium_enable video_cards_i915 i915
+ gallium_enable video_cards_imx imx
if ! use video_cards_i915 && \
! use video_cards_i965; then
gallium_enable video_cards_intel i915
@@ -299,7 +302,6 @@ multilib_src_configure() {
--enable-dri \
--enable-glx \
--enable-shared-glapi \
- --disable-shader-cache \
$(use_enable !bindist texture-float) \
$(use_enable d3d9 nine) \
$(use_enable debug) \
@@ -309,12 +311,12 @@ multilib_src_configure() {
$(use_enable gles1) \
$(use_enable gles2) \
$(use_enable nptl glx-tls) \
+ $(use_enable unwind libunwind) \
--enable-valgrind=$(usex valgrind auto no) \
--enable-llvm-shared-libs \
--with-dri-drivers=${DRI_DRIVERS} \
--with-gallium-drivers=${GALLIUM_DRIVERS} \
--with-vulkan-drivers=${VULKAN_DRIVERS} \
- --with-sha1=$(usex nettle libnettle $(usex gcrypt libgcrypt libcrypto)) \
PYTHON2="${PYTHON}" \
${myconf}
}
@@ -376,7 +378,7 @@ multilib_src_install() {
}
multilib_src_install_all() {
- prune_libtool_files --all
+ find "${ED}" -name '*.la' -delete
einstalldocs
if use !bindist; then
@@ -386,11 +388,6 @@ multilib_src_install_all() {
# Install config file for eselect mesa
insinto /usr/share/mesa
newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
-
- # Mesa should not install these
-# if use vulkan; then
-# rm "${ED}"/usr/include/vulkan/{vulkan.h,vk_platform.h} || die
-# fi
}
multilib_src_test() {
diff --git a/media-sound/mpd/metadata.xml b/media-sound/mpd/metadata.xml
new file mode 100644
index 0000000..6515453
--- /dev/null
+++ b/media-sound/mpd/metadata.xml
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sound</herd>
+ <maintainer>
+ <email>angelos@gentoo.org</email>
+ <name>Christoph Mende</name>
+ </maintainer>
+ <maintainer>
+ <email>hwoarang@gentoo.org</email>
+ <name>Markos Chandras</name>
+ </maintainer>
+ <use>
+ <flag name="adplug">Enable the AdPlug decoder plugin</flag>
+ <flag name="cdio">Use libcdio for ISO9660 parsing support</flag>
+ <flag name="curl">Support for web stream listening</flag>
+ <flag name="faad">Use external faad library for AAC decoding</flag>
+ <flag name="fifo">Support writing audio to a FIFO</flag>
+ <flag name="fluidsynth">Enables Fluidsynth MIDI software synthesis</flag>
+ <flag name="gme">Enables support for <pkg>media-libs/game-music-emu</pkg> for playing various video game music formats.</flag>
+ <flag name="id3tag">Support for ID3 tags</flag>
+ <flag name="inotify">Use the Linux kernel inotify subsystem to notice changes to mpd music library</flag>
+ <flag name="lame">Support for MP3 streaming via Icecast2</flag>
+ <flag name="libmpdclient">Enable support for remote mpd databases</flag>
+ <flag name="network">Enables network streaming support</flag>
+ <flag name="opus">Enable Opus codec support</flag>
+ <flag name="pipe">Support writing audio to a pipe</flag>
+ <flag name="recorder">Enables output plugin for recording radio streams</flag>
+ <flag name="sid">Build with SID (Commodore 64 Audio) support</flag>
+ <flag name="soundcloud">Build plugin to access soundcloud</flag>
+ <flag name="systemd">Enable support for systemd socket activation</flag>
+ <flag name="twolame">Support twolame MPEG-2 encoding</flag>
+ <flag name="wildmidi">Enable MIDI support via wildmidi</flag>
+ <flag name="zip">Support for ZIP files</flag>
+ <flag name="mpg123">Enable support for mp3 decoding over media-sound/mpg123</flag>
+ </use>
+</pkgmetadata>
diff --git a/media-sound/mpd/mpd-scm.ebuild b/media-sound/mpd/mpd-scm.ebuild
new file mode 100644
index 0000000..02ad72f
--- /dev/null
+++ b/media-sound/mpd/mpd-scm.ebuild
@@ -0,0 +1,255 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/mpd/mpd-0.18.ebuild,v 1.1 2013/10/31 12:50:49 angelos Exp $
+
+EAPI=6
+inherit eutils flag-o-matic linux-info multilib systemd user \
+ autotools git-r3
+
+DESCRIPTION="The Music Player Daemon (mpd)"
+HOMEPAGE="http://www.musicpd.org"
+EGIT_REPO_URI="git://git.musicpd.org/master/mpd.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="adplug +alsa ao audiofile bzip2 cdio +curl debug +eventfd expat faad
+ +fifo +ffmpeg flac fluidsynth gme +icu +id3tag +inotify +ipv6 jack
+ lame mms libav libmpdclient libsamplerate libsoxr +mad mikmod modplug
+ mpg123 musepack +network nfs ogg openal opus oss pipe pulseaudio recorder
+ samba selinux sid +signalfd sndfile soundcloud sqlite systemd tcpd twolame
+ unicode upnp vorbis wavpack wildmidi zeroconf zip zlib"
+
+OUTPUT_PLUGINS="alsa ao fifo jack network openal oss pipe pulseaudio recorder"
+DECODER_PLUGINS="adplug audiofile faad ffmpeg flac fluidsynth mad mikmod
+ modplug mpg123 musepack ogg flac sid vorbis wavpack wildmidi"
+ENCODER_PLUGINS="audiofile flac lame twolame vorbis"
+
+REQUIRED_USE="
+ || ( ${OUTPUT_PLUGINS} )
+ || ( ${DECODER_PLUGINS} )
+ network? ( || ( ${ENCODER_PLUGINS} ) )
+ recorder? ( || ( ${ENCODER_PLUGINS} ) )
+ opus? ( ogg )
+ upnp? ( expat )
+"
+
+CDEPEND="!<sys-cluster/mpich2-1.4_rc2
+ adplug? ( media-libs/adplug )
+ alsa? (
+ media-sound/alsa-utils
+ media-libs/alsa-lib
+ )
+ ao? ( media-libs/libao[alsa?,pulseaudio?] )
+ audiofile? ( media-libs/audiofile )
+ bzip2? ( app-arch/bzip2 )
+ cdio? ( dev-libs/libcdio-paranoia )
+ curl? ( net-misc/curl )
+ expat? ( dev-libs/expat )
+ faad? ( media-libs/faad2 )
+ ffmpeg? (
+ libav? ( media-video/libav:0= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ flac? ( media-libs/flac[ogg?] )
+ fluidsynth? ( media-sound/fluidsynth )
+ gme? ( >=media-libs/game-music-emu-0.6.0_pre20120802 )
+ icu? ( dev-libs/icu:= )
+ id3tag? ( media-libs/libid3tag )
+ jack? ( virtual/jack )
+ lame? ( network? ( media-sound/lame ) )
+ libmpdclient? ( media-libs/libmpdclient )
+ libsamplerate? ( media-libs/libsamplerate )
+ mad? ( media-libs/libmad )
+ mikmod? ( media-libs/libmikmod:0 )
+ mms? ( media-libs/libmms )
+ modplug? ( media-libs/libmodplug )
+ mpg123? ( >=media-sound/mpg123-1.12.2 )
+ musepack? ( media-sound/musepack-tools )
+ network? (
+ >=media-libs/libshout-2
+ !lame? ( !vorbis? ( media-libs/libvorbis ) )
+ )
+ nfs? ( net-fs/libnfs )
+ ogg? ( media-libs/libogg )
+ openal? ( media-libs/openal )
+ opus? ( media-libs/opus )
+ pulseaudio? ( media-sound/pulseaudio )
+ samba? ( >=net-fs/samba-4.0.25 )
+ sid? ( || ( media-libs/libsidplay:2 media-libs/libsidplayfp ) )
+ sndfile? ( media-libs/libsndfile )
+ soundcloud? ( >=dev-libs/yajl-2:= )
+ libsoxr? ( media-libs/soxr )
+ sqlite? ( dev-db/sqlite:3 )
+ systemd? ( sys-apps/systemd )
+ tcpd? ( sys-apps/tcp-wrappers )
+ twolame? ( media-sound/twolame )
+ upnp? ( net-libs/libupnp:= )
+ vorbis? ( media-libs/libvorbis )
+ wavpack? ( media-sound/wavpack )
+ wildmidi? ( media-sound/wildmidi )
+ zeroconf? ( net-dns/avahi[dbus] )
+ zip? ( dev-libs/zziplib )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${CDEPEND}
+ dev-libs/boost
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-mpd )
+"
+
+
+pkg_setup() {
+ use network || ewarn "Icecast and Shoutcast streaming needs networking."
+ use fluidsynth && ewarn "Using fluidsynth is discouraged by upstream."
+
+ enewuser mpd "" "" "/var/lib/mpd" audio
+
+ if use eventfd; then
+ CONFIG_CHECK+=" ~EVENTFD"
+ ERROR_EVENTFD="${P} requires eventfd in-kernel support."
+ fi
+ if use signalfd; then
+ CONFIG_CHECK+=" ~SIGNALFD"
+ ERROR_SIGNALFD="${P} requires signalfd in-kernel support."
+ fi
+ if use inotify; then
+ CONFIG_CHECK+=" ~INOTIFY_USER"
+ ERROR_INOTIFY_USER="${P} requires inotify in-kernel support."
+ fi
+ if use eventfd || use signalfd || use inotify; then
+ linux-info_pkg_setup
+ fi
+
+ elog "If you will be starting mpd via /etc/init.d/mpd, please make
+ sure that MPD's pid_file is _set_."
+}
+
+src_prepare() {
+ cp -f doc/mpdconf.example doc/mpdconf.dist || die "cp failed"
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --enable-database --disable-roar --disable-documentation
+ --enable-dsd --enable-largefile --disable-osx --disable-shine-encoder
+ --disable-solaris-output --enable-tcp --enable-un --disable-werror
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ )
+
+ if use network; then
+ myeconfargs+=(
+ --enable-shout
+ $(use_enable vorbis vorbis-encoder)
+ --enable-httpd-output
+ $(use_enable lame lame-encoder)
+ $(use_enable twolame twolame-encoder)
+ $(use_enable audiofile wave-encoder)
+ )
+ else
+ myeconfargs+=(
+ --disable-shout
+ --disable-vorbis-encoder
+ --disable-httpd-output
+ --disable-lame-encoder
+ --disable-twolame-encoder
+ --disable-wave-encoder
+ )
+ fi
+
+ if use samba || use upnp; then
+ myeconfargs+=( --enable-neighbor-plugins )
+ fi
+
+ append-lfs-flags
+ append-ldflags "-L/usr/$(get_libdir)/sidplay/builders"
+
+ myeconfargs+=(
+ $(use_enable eventfd)
+ $(use_enable signalfd)
+ $(use_enable libmpdclient)
+ $(use_enable expat)
+ $(use_enable upnp)
+ $(use_enable adplug)
+ $(use_enable alsa)
+ $(use_enable ao)
+ $(use_enable audiofile)
+ $(use_enable zlib)
+ $(use_enable bzip2)
+ $(use_enable cdio cdio-paranoia)
+ $(use_enable curl)
+ $(use_enable samba smbclient)
+ $(use_enable nfs)
+ $(use_enable debug)
+ $(use_enable ffmpeg)
+ $(use_enable fifo)
+ $(use_enable flac)
+ $(use_enable fluidsynth)
+ $(use_enable gme)
+ $(use_enable id3tag id3)
+ $(use_enable inotify)
+ $(use_enable ipv6)
+ $(use_enable cdio iso9660)
+ $(use_enable jack)
+ $(use_enable soundcloud)
+ $(use_enable tcpd libwrap)
+ $(use_enable libsamplerate lsr)
+ $(use_enable libsoxr soxr)
+ $(use_enable mad)
+ $(use_enable mikmod)
+ $(use_enable mms)
+ $(use_enable modplug)
+ $(use_enable musepack mpc)
+ $(use_enable mpg123)
+ $(use_enable openal)
+ $(use_enable opus)
+ $(use_enable oss)
+ $(use_enable pipe pipe-output)
+ $(use_enable pulseaudio pulse)
+ $(use_enable recorder recorder-output)
+ $(use_enable sid sidplay)
+ $(use_enable sndfile sndfile)
+ $(use_enable sqlite)
+ $(use_enable systemd systemd_daemon)
+ $(use_enable vorbis)
+ $(use_enable wavpack)
+ $(use_enable wildmidi)
+ $(use_enable zip zzip)
+ $(use_enable icu)
+ $(use_enable faad aac)
+ $(use_with zeroconf zeroconf avahi)
+ --with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+ --with-systemduserunitdir=$(systemd_get_userunitdir)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ insinto /etc
+ newins doc/mpdconf.dist mpd.conf
+
+
+ if use unicode; then
+ sed -i -e 's:^#filesystem_charset.*$:filesystem_charset "UTF-8":' \
+ "${ED}"/etc/mpd.conf || die "sed failed"
+ fi
+
+
+ use prefix || diropts -m0755 -o mpd -g audio
+ dodir /var/lib/mpd
+ keepdir /var/lib/mpd
+ dodir /var/lib/mpd/music
+ keepdir /var/lib/mpd/music
+ dodir /var/lib/mpd/playlists
+ keepdir /var/lib/mpd/playlists
+}
+
+pkg_postinst() {
+ # also change the homedir if the user has existed before
+ usermod -d "/var/lib/mpd" mpd
+}